# for example host:port/json/create_game is a valid route if using the POST method
valid_post_routes = {
    'login',
    'register',
    'depot',
    'activate_key',
    'order', 'orders',
    'news',
    'trades',
    'trades_on',
    'orders_on',
    'old_orders',
    'cancel_order',
    'leaderboard',
    'tradables',
    'gift',
    'change_password'
}

push_message_types = set()

upload_filtered = set()  # TODO enable upload filter again when accuracy improves

assert len(set(valid_post_routes)) == len(valid_post_routes)
assert upload_filtered.issubset(valid_post_routes)
