# the general syntax is 
# {attribute1: value, attribute2: value, ...}
#
# for example a valid request to /register would look like 
# {"email": "user123@example.org", "username": "user123", "password": "FILTERED", "preferred_language": "german"}
# while a valid request to /events would be the empty object {}

activate_key_required_attributes = ['key', 'session_id']
activate_key_possible_attributes = ['key', 'session_id']

cancel_order_required_attributes = ['order_id', 'session_id']
cancel_order_possible_attributes = ['order_id', 'session_id']

change_password_required_attributes = ['password', 'session_id']
change_password_possible_attributes = ['password', 'session_id']

depot_required_attributes = ['session_id']
depot_possible_attributes = ['session_id']

gift_required_attributes = ['amount', 'object_name', 'session_id', 'username']
gift_possible_attributes = ['amount', 'object_name', 'session_id', 'username']

leaderboard_required_attributes = []
leaderboard_possible_attributes = []

login_required_attributes = ['password', 'username']
login_possible_attributes = ['password', 'username']

missing_attributes_required_attributes = []
missing_attributes_possible_attributes = []

news_required_attributes = []
news_possible_attributes = []

old_orders_required_attributes = ['include_canceled', 'include_executed', 'limit', 'session_id']
old_orders_possible_attributes = ['include_canceled', 'include_executed', 'limit', 'session_id']

order_required_attributes = ['amount', 'buy', 'ownable', 'session_id', 'time_until_expiration']
order_possible_attributes = ['amount', 'buy', 'ownable', 'session_id', 'time_until_expiration']

orders_required_attributes = ['session_id']
orders_possible_attributes = ['session_id']

orders_on_required_attributes = ['ownable', 'session_id']
orders_on_possible_attributes = ['ownable', 'session_id']

register_required_attributes = ['password', 'username']
register_possible_attributes = ['password', 'username']

tradables_required_attributes = []
tradables_possible_attributes = []

trades_required_attributes = ['limit', 'session_id']
trades_possible_attributes = ['limit', 'session_id']

trades_on_required_attributes = ['limit', 'ownable', 'session_id']
trades_on_possible_attributes = ['limit', 'ownable', 'session_id']
